;浮点数相关的配置项
[Settings_FloatType]

;连接的最小心跳间隔，注意：官方标准配置, 请不要改动此项
;number of seconds to pause between sending keepalives
keepalive_interval=120.000000

;关闭超时连接的最小间隔，注意：官方标准配置, 请不要改动此项
;time to wait between closing sockets which nothing has been received on
timeout=300.000000

;检查是否超时的最小间隔，注意：官方标准配置, 请不要改动此项
;time to wait between checking if any connections have timed out
timeout_check_interval=60.000000

;计算下载率和上传率的最小周期，注意：官方标准配置, 请不要改动此项
;maximum amount of time to guess the current rate estimate represents
max_rate_period=20.000000

;计算上传率时的提前量，注意：官方标准配置, 请不要改动此项
;time equivalent of writing to kernel-level TCP buffer, for rate adjustment
upload_rate_fudge=5.000000

;判断是否阻塞自己的最小时间段，注意：官方标准配置, 请不要改动此项
;seconds to wait for data to come in over a connection before assuming it's semi-permanently choked
snub_time=30.000000

;请求更多用户时的最小时间间隔，注意：官方标准配置, 请不要改动此项
;time to wait between requesting more peers
rerequest_interval=60.000000

;连接时的超时时间，注意：官方标准配置, 请不要改动此项
;number of seconds to wait before assuming that an socket connection has timed out
socket_timeout=5.000000

;判断杀死那些懒惰的连接的时间间隔，注意：官方标准配置, 请不要改动此项
;number of seconds to kill lazy peer
kill_lazypeer_time=0.0

;上传的最大率限制，0.0标识无限制， 单位为：字节, 请注意自己换算
;maximum kB/s to upload at, 0 means no limit
max_upload_rate=0.0

;下载的最大率限制，0.0标识无限制， 单位为：字节, 请注意自己换算
;maximum kB/s to download at, 0 means no limit
max_download_rate=0.0

;每个上传连接的最小上传限制, 0.0标识无限制， 单位为：字节, 请注意自己换算
;minimum kB/s to upload at per peer, 0 means no limit
peer_min_upload_rate=0.0

;整数相关的配置项

[Settings_IntType]

;当已经连接的用户大于此数时，不再主动从Tracker请求获取其他客户端信息
;number of peers at which to stop initiating new connections
max_initiate=85

;当已经连接的用户大于此数时，不再接受其他用户的连接, 也就是单个任务允许的最大连接数
;maximum number of connections to allow, after this new incoming connections will be immediately closed
max_allow_in=512

;允许同时上传数据给其他客户的最大连接的个数, 注意不是越大越好，此处设置的数大了，会影响下载
;the maximum number of uploads to allow at once.
max_uploads=25

;允许同时上传数据给其他客户的最少的连接个数
;the number of uploads to fill out to with extra optimistic unchokes
min_uploads=7

;请求队列的最大个数，注意：官方标准配置, 请不要改动此项
;how many requests to keep in a single pipe at once.
request_backlog=5

;请求时的最大消息长度限制，注意：官方标准配置, 请不要改动此项
;maximum length prefix encoding you'll accept over the wire - larger values get the connection dropped.
max_message_length=8388608

;是否侦听端口，就是是否允许外部用户连接自己，注意：此项时唯一的例外，0标识是，1标识否
;whether to listen port
listen_port=0

;是否启用固定端口，注意：0标识否，1标识是
;whether to use fixed port
fix_port=1

;启用固定端口时，要绑定的端口, 如果端口已经被其他程序绑定，会失败
;fixed port to listen on, failed if unavailable
port=7899

;不启用固定端口模式时，随机绑定的最小的端口，如果失败则尝试绑定下一个连续的端口
;minimum port to listen on, counts up if unavailable
minport=9001

;不启用固定端口模式时，允随机绑定的最大的端口
;maximum port to listen on
maxport=9999

;启用稀有者优先的算法的最小块的个数，注意：官方标准配置, 请不要改动此项
;number of downloads at which to switch from random to rarest first
rarest_first_cutoff=5

;是否启用固定的用户标识ID，注意：官方标准配置, 请不要改动此项
;whether to use fixed client id
fix_client_id=1

;是否从Tracker获取信息时不获取用户ID节省Tracker带宽压力，注意：官方标准配置, 请不要改动此项
;whether to use no peer id
no_peer_id=0

;是否给未下载完毕的文件增加扩展名, 0表示否，1表示是
;whether to add .fbt! extension to uncompleted file
add_fbt_ext_file=0

;连接Tracker时允许失败的最大次数，超过了这个次数，不再尝试连接
;maxium number of failure to stop tracker connections
max_tracker_failure=6000000

;连接其他用户时最大的尝试次数，超过了这个次数，不再尝试连接
;maxium number of try connecting before assuming that an socket connection can not be made
socket_try_connection=3

;下载大型目录时起作用，主要用在服务器段，告诉内核每个任务最大能打开几个文件句柄, 0标识无限制
;maxium number of file handle for reading and writing(0 means unlimit)
total_open_file=0

;下载文件时是否启用块映射节省磁盘的读写, 0标识启用，1标识不启用，注意：官方标准配置, 请不要改动此项
;whehter to map piece position when writing data into files
no_map_piece=1

;智能化客户端模式, 服务器模式时不要启用. 智能化控制上传速率以便获取最大的下载速率
;intellectualized client mode, intellectualized upload control to get max download speed 
intell_client_mode=0

;是否对于某些指定的客户端限制上传速度(仅作为SEED服务器模式时启用)
;whether to limit up rate to some peer, 0 means no limit
seed_limit_mode=0

;是否启用Diffie-Hellman Key Exchange 协议加密, 避免运营商封锁BT协议, 0: 禁止被动连接和主动连接使用DHKE, 1: 自动探测, 2: 主动时仅使用DHKE 3: 主动时仅使用明文
;whether to enable Diffie-Hellman Key Exchange to Avoid traffic shaping, 0: disable, 1: auto-detect 2: always by DHKE, 3: always plaintext
dhke_support=3

;是否在做种状态时不再主动连接其他用户
;whether to stop connecting other peers when completing
stop_connect_seed=0

;Tracker请求处理的线程池的个数
;maxium number of tracker thread
tracker_thread_pool=1

;Tracker List的个数
;maxium number of announces
tracker_list_count=10

;当我们在局域网中时, 是否获取更多的用户
;whether to get more peer if we are in natwork
more_peers_nat=1

;是否启用http 隧道方式，避免被封锁
;whether to enable http tunnel
http_data_tunnel=1

;是否定时保存断点, 0 不定时保存, 大于0 表示间隔多长时间保存一次, 单位(秒)
;whether to keep saving downloading status file
keep_status_time=60

;是否自动打开防火墙设置, 0 不打开, 大于0 表示尝试打开
;auto-open windows XP SP2 firewall
auto_open_firewall=0

;是否支持稀疏格式文件
;supports sparse file
support_sparse_file=1

;是否读文件时不启用系统缓存
;whehter to disable file system read buffering.
no_read_buffering=0

;是否启用RC4加密的种子
;whether to open rc4 encrypt torrent
rc4_torrent=0

;是否启用URL UTF8编码支持
;whether to support UTF8 URL
http_utf8_support=1

;是否启用上传数据前先检测数据有效性的操作
;whether to check piece before uploading
check_upload_piece=1

;Web Seed方式下载的最大重试次数(防止服务器端故障导致无法继续)
;maximum times to retry when failed
web_seed_retry=0

;是否取消读缓存
;whether to disalbe reading buffering
no_read_buffer=0

;检查http是否超时的最小间隔(单位秒)
;time to wait between checking if http connections have timed out
http_timeout=15

;是否禁止选择下载时删除未选择下载并且未完成的文件, 0 不禁止, 1 禁止
;whether to disable deleting files in selected files download mode
no_delete_files=0

;Web Seed下载时是否设置为http优先模式
;Whether to let http fist in web seed mode
http_first=1

;检查http数据是否超时的最小间隔(单位秒)
;time to wait between checking if http data have timed out
http_data_timeout=20

;设置Web seed下载时是否使用长连接
;Whether to keep alive in web seed mode

;是否支持Hash验证
;Whether to support to check hash
http_check_hash=1

;是否局域网不限速
lan_limit=0

;字符串相关的配置项
sharing_thread_pool=1

[Settings_StrType]

;当需要主动向Tracker报告自己的地址时，需要配置此项， 例如: report_ip=211.61.77.96, 一般应用于服务器有两个以上IP地址时，主动告诉Tracker自己是那个IP地址
;ip to report you have to the tracker.
report_ip=

;主动告诉内核，要绑定的IP地址，也是应用于当程序所在的机器有两个以上的IP地址时，默认为空，标识绑定所有IP地址
;ip to bind to locally
bind_ip=

;是否禁止web seed下载时，对于某些文件启用referer
http_no_referer=.map

;二进制数据的配置项

[Settings_BinType]

;随机的用户ID，此项由内核自动生成控制，不需要手动配置， 也不需要做任何更改
;randomly generate ID
MyID=

